package com.its.api.its.repository.statistics;

import com.its.api.its.model.dto.statistics.IncidentSectStatDto;
import com.its.api.its.model.dto.statistics.IncidentTypeStatDto;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface IncidentStatisticsMapper {

    // 유형별 통계(일, 월, 년 통계)
    List<IncidentTypeStatDto> findAllTypeDD(Map<String, String> param);
    List<IncidentTypeStatDto> findAllTypeMN(Map<String, String> param);
    List<IncidentTypeStatDto> findAllTypeYY(Map<String, String> param);

    // 구간별 통계(일, 월, 년 통계)
    List<IncidentSectStatDto> findAllSectDD(Map<String, String> param);
    List<IncidentSectStatDto> findAllSectMN(Map<String, String> param);
    List<IncidentSectStatDto> findAllSectYY(Map<String, String> param);
}
